# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: event_proto2.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\n\x12\x65vent_proto2.proto\x12\x0cprotobuf_log\"\x86\x0e\n\x05\x45vent\x12\x0b\n\x03tid\x18\x01 \x02(\r\x12\x15\n\revent_address\x18\x02 \x02(\x04\x12(\n\x04read\x18\x03 \x01(\x0b\x32\x18.protobuf_log.Event.ReadH\x00\x12*\n\x05write\x18\x04 \x01(\x0b\x32\x19.protobuf_log.Event.WriteH\x00\x12,\n\x06invoke\x18\x05 \x01(\x0b\x32\x1a.protobuf_log.Event.InvokeH\x00\x12&\n\x03ret\x18\x06 \x01(\x0b\x32\x17.protobuf_log.Event.RetH\x00\x12,\n\x06newObj\x18\x07 \x01(\x0b\x32\x1a.protobuf_log.Event.NewObjH\x00\x12*\n\x05throw\x18\x08 \x01(\x0b\x32\x19.protobuf_log.Event.ThrowH\x00\x12*\n\x05\x63\x61tch\x18\t \x01(\x0b\x32\x19.protobuf_log.Event.CatchH\x00\x12\x32\n\tcondition\x18\n \x01(\x0b\x32\x1d.protobuf_log.Event.ConditionH\x00\x12\x34\n\nmethodLoad\x18\x0b \x01(\x0b\x32\x1e.protobuf_log.Event.MethodLoadH\x00\x12.\n\x07monitor\x18\x0c \x01(\x0b\x32\x1b.protobuf_log.Event.MonitorH\x00\x12\x30\n\x08getArray\x18\r \x01(\x0b\x32\x1c.protobuf_log.Event.GetArrayH\x00\x12\x36\n\x0blengthArray\x18\x0e \x01(\x0b\x32\x1f.protobuf_log.Event.LengthArrayH\x00\x1a\xa0\x01\n\x05Value\x12\x0c\n\x04type\x18\x01 \x02(\t\x12\x0c\n\x02\x64o\x18\x02 \x01(\x01H\x00\x12\x0c\n\x02\x66l\x18\x03 \x01(\x02H\x00\x12\r\n\x03i32\x18\x04 \x01(\x05H\x00\x12\r\n\x03i64\x18\x05 \x01(\x03H\x00\x12\x0e\n\x04ui64\x18\x06 \x01(\x04H\x00\x12\x0c\n\x02\x62o\x18\x07 \x01(\x08H\x00\x12\x0c\n\x02st\x18\x08 \x01(\tH\x00\x12\x0c\n\x02\x62y\x18\t \x01(\x0cH\x00\x12\x0c\n\x04symb\x18\n \x01(\tB\x07\n\x05value\x1a{\n\x04Read\x12/\n\x0c\x63\x61ller_value\x18\x01 \x02(\x0b\x32\x19.protobuf_log.Event.Value\x12\x12\n\nfield_name\x18\x02 \x02(\t\x12.\n\x0b\x66ield_value\x18\x03 \x02(\x0b\x32\x19.protobuf_log.Event.Value\x1a\xa8\x01\n\x05Write\x12/\n\x0c\x63\x61ller_value\x18\x01 \x02(\x0b\x32\x19.protobuf_log.Event.Value\x12\x12\n\nfield_name\x18\x02 \x02(\t\x12,\n\told_value\x18\x03 \x02(\x0b\x32\x19.protobuf_log.Event.Value\x12,\n\tnew_value\x18\x04 \x02(\x0b\x32\x19.protobuf_log.Event.Value\x1a\x8b\x01\n\x06Invoke\x12/\n\x0c\x63\x61ller_value\x18\x01 \x02(\x0b\x32\x19.protobuf_log.Event.Value\x12\x13\n\x0bmethod_name\x18\x02 \x02(\t\x12\'\n\x04\x61rgs\x18\x03 \x03(\x0b\x32\x19.protobuf_log.Event.Value\x12\x12\n\x07\x64ump_id\x18\x04 \x01(\r:\x01\x30\x1a\x33\n\x03Ret\x12,\n\tret_value\x18\x01 \x02(\x0b\x32\x19.protobuf_log.Event.Value\x1a<\n\x06NewObj\x12\x32\n\x0f\x61llocated_value\x18\x01 \x02(\x0b\x32\x19.protobuf_log.Event.Value\x1a\x37\n\x05Throw\x12\x16\n\x0e\x65xception_type\x18\x01 \x02(\t\x12\x16\n\x0e\x65xception_text\x18\x02 \x02(\t\x1a!\n\x05\x43\x61tch\x12\x18\n\x10nb_skipped_frame\x18\x01 \x02(\r\x1a<\n\tCondition\x12\x17\n\x0f\x63ondition_value\x18\x01 \x02(\t\x12\x16\n\x0etarget_address\x18\x02 \x02(\x04\x1am\n\nMethodLoad\x12\x13\n\x0b\x63\x61ller_type\x18\x01 \x02(\t\x12\x13\n\x0bmethod_name\x18\x02 \x02(\t\x12\x19\n\x11\x65vent_addr_offset\x18\x03 \x02(\x04\x12\x1a\n\x12method_code_offset\x18\x04 \x02(\x04\x1a@\n\x07Monitor\x12\r\n\x05\x65nter\x18\x01 \x02(\x08\x12&\n\x03obj\x18\x02 \x02(\x0b\x32\x19.protobuf_log.Event.Value\x1aK\n\x08GetArray\x12\x12\n\narray_addr\x18\x01 \x02(\x04\x12+\n\x08\x65lements\x18\x02 \x03(\x0b\x32\x19.protobuf_log.Event.Value\x1a\x31\n\x0bLengthArray\x12\x12\n\narray_addr\x18\x01 \x02(\x04\x12\x0e\n\x06length\x18\x02 \x02(\x04\x42\x0c\n\nevent_data')



_EVENT = DESCRIPTOR.message_types_by_name['Event']
_EVENT_VALUE = _EVENT.nested_types_by_name['Value']
_EVENT_READ = _EVENT.nested_types_by_name['Read']
_EVENT_WRITE = _EVENT.nested_types_by_name['Write']
_EVENT_INVOKE = _EVENT.nested_types_by_name['Invoke']
_EVENT_RET = _EVENT.nested_types_by_name['Ret']
_EVENT_NEWOBJ = _EVENT.nested_types_by_name['NewObj']
_EVENT_THROW = _EVENT.nested_types_by_name['Throw']
_EVENT_CATCH = _EVENT.nested_types_by_name['Catch']
_EVENT_CONDITION = _EVENT.nested_types_by_name['Condition']
_EVENT_METHODLOAD = _EVENT.nested_types_by_name['MethodLoad']
_EVENT_MONITOR = _EVENT.nested_types_by_name['Monitor']
_EVENT_GETARRAY = _EVENT.nested_types_by_name['GetArray']
_EVENT_LENGTHARRAY = _EVENT.nested_types_by_name['LengthArray']
Event = _reflection.GeneratedProtocolMessageType('Event', (_message.Message,), {

  'Value' : _reflection.GeneratedProtocolMessageType('Value', (_message.Message,), {
    'DESCRIPTOR' : _EVENT_VALUE,
    '__module__' : 'event_proto2_pb2'
    # @@protoc_insertion_point(class_scope:protobuf_log.Event.Value)
    })
  ,

  'Read' : _reflection.GeneratedProtocolMessageType('Read', (_message.Message,), {
    'DESCRIPTOR' : _EVENT_READ,
    '__module__' : 'event_proto2_pb2'
    # @@protoc_insertion_point(class_scope:protobuf_log.Event.Read)
    })
  ,

  'Write' : _reflection.GeneratedProtocolMessageType('Write', (_message.Message,), {
    'DESCRIPTOR' : _EVENT_WRITE,
    '__module__' : 'event_proto2_pb2'
    # @@protoc_insertion_point(class_scope:protobuf_log.Event.Write)
    })
  ,

  'Invoke' : _reflection.GeneratedProtocolMessageType('Invoke', (_message.Message,), {
    'DESCRIPTOR' : _EVENT_INVOKE,
    '__module__' : 'event_proto2_pb2'
    # @@protoc_insertion_point(class_scope:protobuf_log.Event.Invoke)
    })
  ,

  'Ret' : _reflection.GeneratedProtocolMessageType('Ret', (_message.Message,), {
    'DESCRIPTOR' : _EVENT_RET,
    '__module__' : 'event_proto2_pb2'
    # @@protoc_insertion_point(class_scope:protobuf_log.Event.Ret)
    })
  ,

  'NewObj' : _reflection.GeneratedProtocolMessageType('NewObj', (_message.Message,), {
    'DESCRIPTOR' : _EVENT_NEWOBJ,
    '__module__' : 'event_proto2_pb2'
    # @@protoc_insertion_point(class_scope:protobuf_log.Event.NewObj)
    })
  ,

  'Throw' : _reflection.GeneratedProtocolMessageType('Throw', (_message.Message,), {
    'DESCRIPTOR' : _EVENT_THROW,
    '__module__' : 'event_proto2_pb2'
    # @@protoc_insertion_point(class_scope:protobuf_log.Event.Throw)
    })
  ,

  'Catch' : _reflection.GeneratedProtocolMessageType('Catch', (_message.Message,), {
    'DESCRIPTOR' : _EVENT_CATCH,
    '__module__' : 'event_proto2_pb2'
    # @@protoc_insertion_point(class_scope:protobuf_log.Event.Catch)
    })
  ,

  'Condition' : _reflection.GeneratedProtocolMessageType('Condition', (_message.Message,), {
    'DESCRIPTOR' : _EVENT_CONDITION,
    '__module__' : 'event_proto2_pb2'
    # @@protoc_insertion_point(class_scope:protobuf_log.Event.Condition)
    })
  ,

  'MethodLoad' : _reflection.GeneratedProtocolMessageType('MethodLoad', (_message.Message,), {
    'DESCRIPTOR' : _EVENT_METHODLOAD,
    '__module__' : 'event_proto2_pb2'
    # @@protoc_insertion_point(class_scope:protobuf_log.Event.MethodLoad)
    })
  ,

  'Monitor' : _reflection.GeneratedProtocolMessageType('Monitor', (_message.Message,), {
    'DESCRIPTOR' : _EVENT_MONITOR,
    '__module__' : 'event_proto2_pb2'
    # @@protoc_insertion_point(class_scope:protobuf_log.Event.Monitor)
    })
  ,

  'GetArray' : _reflection.GeneratedProtocolMessageType('GetArray', (_message.Message,), {
    'DESCRIPTOR' : _EVENT_GETARRAY,
    '__module__' : 'event_proto2_pb2'
    # @@protoc_insertion_point(class_scope:protobuf_log.Event.GetArray)
    })
  ,

  'LengthArray' : _reflection.GeneratedProtocolMessageType('LengthArray', (_message.Message,), {
    'DESCRIPTOR' : _EVENT_LENGTHARRAY,
    '__module__' : 'event_proto2_pb2'
    # @@protoc_insertion_point(class_scope:protobuf_log.Event.LengthArray)
    })
  ,
  'DESCRIPTOR' : _EVENT,
  '__module__' : 'event_proto2_pb2'
  # @@protoc_insertion_point(class_scope:protobuf_log.Event)
  })
_sym_db.RegisterMessage(Event)
_sym_db.RegisterMessage(Event.Value)
_sym_db.RegisterMessage(Event.Read)
_sym_db.RegisterMessage(Event.Write)
_sym_db.RegisterMessage(Event.Invoke)
_sym_db.RegisterMessage(Event.Ret)
_sym_db.RegisterMessage(Event.NewObj)
_sym_db.RegisterMessage(Event.Throw)
_sym_db.RegisterMessage(Event.Catch)
_sym_db.RegisterMessage(Event.Condition)
_sym_db.RegisterMessage(Event.MethodLoad)
_sym_db.RegisterMessage(Event.Monitor)
_sym_db.RegisterMessage(Event.GetArray)
_sym_db.RegisterMessage(Event.LengthArray)

if _descriptor._USE_C_DESCRIPTORS == False:

  DESCRIPTOR._options = None
  _EVENT._serialized_start=37
  _EVENT._serialized_end=1835
  _EVENT_VALUE._serialized_start=649
  _EVENT_VALUE._serialized_end=809
  _EVENT_READ._serialized_start=811
  _EVENT_READ._serialized_end=934
  _EVENT_WRITE._serialized_start=937
  _EVENT_WRITE._serialized_end=1105
  _EVENT_INVOKE._serialized_start=1108
  _EVENT_INVOKE._serialized_end=1247
  _EVENT_RET._serialized_start=1249
  _EVENT_RET._serialized_end=1300
  _EVENT_NEWOBJ._serialized_start=1302
  _EVENT_NEWOBJ._serialized_end=1362
  _EVENT_THROW._serialized_start=1364
  _EVENT_THROW._serialized_end=1419
  _EVENT_CATCH._serialized_start=1421
  _EVENT_CATCH._serialized_end=1454
  _EVENT_CONDITION._serialized_start=1456
  _EVENT_CONDITION._serialized_end=1516
  _EVENT_METHODLOAD._serialized_start=1518
  _EVENT_METHODLOAD._serialized_end=1627
  _EVENT_MONITOR._serialized_start=1629
  _EVENT_MONITOR._serialized_end=1693
  _EVENT_GETARRAY._serialized_start=1695
  _EVENT_GETARRAY._serialized_end=1770
  _EVENT_LENGTHARRAY._serialized_start=1772
  _EVENT_LENGTHARRAY._serialized_end=1821
# @@protoc_insertion_point(module_scope)
